Bug 159285 - [PATCH] irc/p5-IRC-Utils: update to 0.11
Summary: [PATCH] irc/p5-IRC-Utils: update to 0.11
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Frederic Culot
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-07-29 06:50 UTC by Jase Thew
Modified: 2011-08-01 08:10 UTC (History)
1 user (show)

See Also:


Attachments
p5-IRC-Utils-0.11.patch (1.13 KB, patch)
2011-07-29 06:50 UTC, Jase Thew
no flags Details | Diff
p5-IRC-Utils-0.11.patch (1.13 KB, patch)
2011-08-01 06:37 UTC, Jase Thew
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jase Thew 2011-07-29 06:50:08 UTC
- Update to 0.11
- Add licence

Changes: http://cpansearch.perl.org/src/HINRIK/IRC-Utils-0.11/Changes

Port maintainer (markun@onohara.to) is cc'd.

Generated with FreeBSD Port Tools 0.99
Comment 1 Edwin Groothuis freebsd_committer 2011-07-29 06:50:20 UTC
Responsible Changed
From-To: freebsd-ports-bugs->perl

perl@ wants this port PRs (via the GNATS Auto Assign Tool)
Comment 2 Edwin Groothuis freebsd_committer 2011-07-29 06:50:23 UTC
Maintainer of irc/p5-IRC-Utils,

Please note that PR ports/159285 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/159285

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 3 Edwin Groothuis freebsd_committer 2011-07-29 06:50:25 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 4 Frederic Culot freebsd_committer 2011-07-29 08:51:17 UTC
Responsible Changed
From-To: perl->culot

I'll take it.
Comment 5 markun 2011-08-01 03:01:17 UTC
Hello,

Thank you very much for submitting a patch.
It works fine but I have just a small remark about it.

http://search.cpan.org/~hinrik/IRC-Utils-0.11/
It seems that the license is "The Perl 5 License (Artistic 1 & GPL 1)"
but this patch says ART20 and GPLv1. whe?

Thanks in advance,

-- 
TERAMOTO Masahiro <markun@onohara.to>
Comment 6 Jase Thew 2011-08-01 06:37:57 UTC
On 01/08/2011 03:01, TERAMOTO Masahiro wrote:
> Hello,
>
> Thank you very much for submitting a patch.
> It works fine but I have just a small remark about it.
>
> http://search.cpan.org/~hinrik/IRC-Utils-0.11/
> It seems that the license is "The Perl 5 License (Artistic 1&  GPL 1)"
> but this patch says ART20 and GPLv1. whe?
>
> Thanks in advance,
>

Hi,

Thanks for spotting that oversight - it was a copy&paste and I forgot to 
change ART20 to ART10.

Please find attached an updated patch that corrects this mistake.

Regards,

Jase.
Comment 7 dfilter service freebsd_committer 2011-08-01 08:02:11 UTC
culot       2011-08-01 07:01:55 UTC

  FreeBSD ports repository

  Modified files:
    irc/p5-IRC-Utils     Makefile distinfo 
  Log:
  - Update to 0.11
  - Add LICENSE (Artistic 1 & GPLv1)
  
  Changes:        http://search.cpan.org/dist/IRC-Utils/Changes
  PR:             ports/159285
  Submitted by:   Jase Thew <freebsd@beardz.net>
  Approved by:    Teramoto Masahiro <markun@onohara.to> (maintainer)
  
  Revision  Changes    Path
  1.3       +4 -1      ports/irc/p5-IRC-Utils/Makefile
  1.3       +2 -2      ports/irc/p5-IRC-Utils/distinfo
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 8 Frederic Culot freebsd_committer 2011-08-01 08:02:13 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!